Console API
  1. Security group
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
    • Create Project
    • Detail Project
    • Delete Project
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
      GET
    • Security Group Detail
      GET
    • Rule Types
      GET
    • Create Security Group
      POST
    • Create Rule
      POST
    • Apply to private ip
      POST
    • Delete Rule
      POST
    • Delete security group
      DELETE
    • Manage tag
      POST
    • Get application ports
      GET
    • Get quota Security Group
      GET
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Security group

Create Security Group

Developing
POST
/api/v1/vmware/vpc/{vpc_id}/security-groups

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Example
{
    "name": "security-group-5662",
    "network": "f09f9d6d-399e-42cc-bcfc-ec8e3e3fffad",
    "ip_address": [
        "10.0.1.232"
    ],
    "rules": "[{\"destinationPorts\":\"80\",\"protocol\":null,\"description\":\"description\",\"port\":\"ed55f780-6e33-4bb0-b04d-3010cab5afe4\",\"sources\":[\"10.10.10.10\"],\"action\":\"ALLOW\",\"direction\":\"ingress\"}]",
    "tag_ids": [
        "bea8782e-de99-46ac-b3c1-70dd8408728f"
    ],
    "firewall_type": "ACL"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/vmware/vpc//security-groups' \
--header 'OrgId: ed2dab76-61a9-4352-a7d6-64fe716f6795' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "security-group-5662",
    "network": "f09f9d6d-399e-42cc-bcfc-ec8e3e3fffad",
    "ip_address": [
        "10.0.1.232"
    ],
    "rules": "[{\"destinationPorts\":\"80\",\"protocol\":null,\"description\":\"description\",\"port\":\"ed55f780-6e33-4bb0-b04d-3010cab5afe4\",\"sources\":[\"10.10.10.10\"],\"action\":\"ALLOW\",\"direction\":\"ingress\"}]",
    "tag_ids": [
        "bea8782e-de99-46ac-b3c1-70dd8408728f"
    ],
    "firewall_type": "ACL"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2025-09-16 06:58:25
Previous
Rule Types
Next
Create Rule
Built with